package cz.fura;

import org.springframework.core.io.DefaultResourceLoader;
import org.springframework.core.io.Resource;
import org.springframework.core.io.UrlResource;

import java.net.URL;
import java.net.MalformedURLException;

/**
 * Custom resource loader - remember, you can have also your custom Resource types. This is our aim. 
 *
 * @author Jan Novotn
 * @version $Id: $
 */
public class CustomResourceLoader extends DefaultResourceLoader {
	private static final String CORP_WEB_PREFIX = "corpWeb:";

	public Resource getResource(String location) {
		if (location.startsWith(CORP_WEB_PREFIX)) {
			try {
				return new UrlResource(new URL("http", "www.fg.cz", location.substring(CORP_WEB_PREFIX.length())));
			}
			catch(MalformedURLException e) {
				return super.getResource(location);
			}
		} else {
			return super.getResource(location);
		}
	}
}
